# Uses of Interface
org.eclipse.core.commands.IStateListener

Packages that use IStateListener
Package
Description
org.eclipse.core.commands
Application programming interfaces for commands and handlers.

## Uses of IStateListener in org.eclipse.core.commands

Classes in org.eclipse.core.commands that implement IStateListener
Modifier and Type
Class
Description
`class`
`AbstractHandlerWithState`
An abstract implementation of `IObjectWithState`.
Methods in org.eclipse.core.commands with parameters of type IStateListener
Modifier and Type
Method
Description
`void`
State.`addListener(IStateListener listener)`
Adds a listener to changes for this state.
`void`
State.`removeListener(IStateListener listener)`
Removes a listener to changes from this state.